Subject: Re: [PATCH 6/6] powerpc/64s: Do not re-activate batched TLB flush

From: Ritesh Harjani (IBM) <[email-masked]>
Date: Tue, 07 Oct 2025 15:10:18 +0530

Kevin Brodsky <[email-masked]> writes:

> On 17/06/2025 17:11, Alexander Gordeev wrote:
>> On Thu, Jun 12, 2025 at 07:36:13PM +0200, Alexander Gordeev wrote:
>>> Since commit b9ef323ea168 ("powerpc/64s: Disable preemption in hash
>>> lazy mmu mode") a task can not be preempted while in lazy MMU mode.
>>> Therefore, the batch re-activation code is never called, so remove it.
>>>
>>> Signed-off-by: Alexander Gordeev <[email-masked]>
>>> ---
>>>  arch/powerpc/include/asm/thread_info.h |  2 --
>>>  arch/powerpc/kernel/process.c          | 25 -------------------------
>>>  2 files changed, 27 deletions(-)
>> Hi All,
>>
>> (I trimmed non-ppc mailing lists/people).
>>
>> The whole series does not seem to make it, but this patch alone is still
>> applicable and makes sence, if I am not mistaken.
>
> Yes, I agree. I arrived at the same conclusion working on the next
> version of the nested lazy_mmu series [1].
> [1]
> https://lore.kernel.org/all/[email-masked]/

Yes, we disable preemption while in lazy mmu mode for Hash, so I agree that
we won't call into __switch_to() in between preempt_disable()/_enable().
So it does look like that we don't need that code. 

> May I include this patch in v3?
>

That should be ok. 

> - Kevin

Thanks!

-ritesh